# Generated by Django 3.2.11 on 2022-01-28 13:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='category name')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Article name')),
                ('summary', models.CharField(max_length=150, verbose_name='article description')),
                ('content', models.CharField(max_length=200, verbose_name='Content')),
                ('public', models.BooleanField(default=True)),
                ('date_creation', models.DateTimeField(auto_now_add=True, verbose_name='Publish date')),
                ('date_edit', models.DateTimeField(auto_now_add=True, verbose_name='Edit date')),
                ('categories', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='blog.category')),
            ],
            options={
                'verbose_name': 'Article',
                'verbose_name_plural': 'Articles',
            },
        ),
    ]
